## kcmutils5-5.116.0-1.src.tar.gz

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
        EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.88.0)
ecm_add_tests(
 kcmoduleinfotest.cpp
 kcmultidialogtest.cpp

 LINK_LIBRARIES KF5KCMUtils Qt${QT_MAJOR_VERSION}::Test
)
endif()

add_subdirectory(jsonplugin)
add_subdirectory(desktopfilekcm)
add_subdirectory(module_data_codegen)
add_subdirectory(fakekcm)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Andrea Scarpino <andrea@archlinux.org>

_name=kcmutils
pkgname=${_name}5
pkgver=5.116.0
pkgrel=1
pkgdesc='Utilities for interacting with KCModules'
arch=(x86_64)
url='https://community.kde.org/Frameworks'
license=(LGPL)
depends=(kdeclarative5)
makedepends=(extra-cmake-modules doxygen qt5-tools qt5-doc)
conflicts=("$_name<5.111")
replaces=("$_name<5.111")
groups=(kf5)
source=(https://download.kde.org/stable/frameworks/${pkgver%.*}/$_name-$pkgver.tar.xz{,.sig})
sha256sums=('91288dbd552d9d29758b9f73a79b8ec091d33b143158605ea0de8dcd11185c19'
            'SKIP')
validpgpkeys=(53E6B47B45CEA3E0D5B7457758D0EE648A48B3BB) # David Faure <faure@kde.org>

build() {
  cmake -B build -S $_name-$pkgver \
    -DBUILD_TESTING=OFF \
    -DCMAKE_INSTALL_LIBEXECDIR=lib \
    -DBUILD_QCH=ON
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
